%define		php_name	php%{?php_suffix}
%define		modname		scream
%define		status		alpha
Summary:	break the silence operator
Summary(pl.UTF-8):	przełamanie operatora wyciszania
Name:		%{php_name}-pecl-%{modname}
Version:	0.1.0
Release:	9
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	ec606b6b9f23bd7de532c7f77c953852
Source1:	%{modname}.ini
URL:		http://pecl.php.net/package/scream/
BuildRequires:	%{php_name}-devel >= 3:5.0.4
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Provides:	php(%{modname}) = %{version}
Obsoletes:	php-pecl-scream < 0.1.0-7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Allows you to disable the silence operator (@) to get all error
messages.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
Rozszerzenie to pozwala na wyłączenie operatora wyciszania (@) w celu
uzyskania pełnych komunikatów błędu.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT \
	EXTENSION_DIR=%{php_extensiondir}

install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Thu Apr 16 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-scream.git;a=log;h=auto/th/php-pecl-scream-0.1.0-9

* Tue Jun 17 2014 Elan Ruusamäe <glen@delfi.ee> c6dc2cc
- add sample config of enabling scream

* Tue Jun 17 2014 Elan Ruusamäe <glen@delfi.ee> 35d5644
- move .ini to git repo

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> 369f8cb
- obsolete old php name
- release 8 (by relup.sh)

* Sun Apr 27 2014 Elan Ruusamäe <glen@delfi.ee> d8e415d
- php 5.5 rebuild
- release 7 (by relup.sh)

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> cef4486
- provide php(extname) to really be supporting multiple php versions

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 7ea8712
- support building for multiple php versions

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 1ed2110
- use php(core) as dependency to require php version
- release 4 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> d6f1679
- release 4 (by relup.sh)

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> a6b77e9
- release 3

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> 8996634
- release 2

* Fri Feb 27 2009 Adam Gołębiowski <adamg@pld-linux.org> 04c1d41
- new

